<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/prov_info_cons/substringFilter.xhtml"
                id="subview_substring#{currentRequest.searchFilter.index}"
                rendered="#{currentRequest.searchFilter.class.simpleName.equals('SubstringFilter4GUI')}">
        <ui:param name="assertion" value="#{currentRequest.searchFilter}"/>
        <ui:param name="currentReq" value="#{currentRequest}"/>
        <ui:param name="parent" value="#{null}"/>
    </s:decorate>
    <s:decorate template="/prov_info_cons/attributeDescription.xhtml"
                id="subview_present#{currentRequest.searchFilter.index}"
                rendered="#{currentRequest.searchFilter.class.simpleName.equals('AttributeDescription4GUI')}">
        <ui:param name="assertion" value="#{currentRequest.searchFilter}"/>
        <ui:param name="currentReq" value="#{currentRequest}"/>
        <ui:param name="parent" value="#{null}"/>
    </s:decorate>
    <s:decorate template="/prov_info_cons/ruleAssertion.xhtml"
                id="subview_machingRule#{currentRequest.searchFilter.index}"
                rendered="#{currentRequest.searchFilter.class.simpleName.equals('MatchingRuleAssertion4GUI')}">
        <ui:param name="assertion" value="#{currentRequest.searchFilter}"/>
        <ui:param name="currentReq" value="#{currentRequest}"/>
        <ui:param name="parent" value="#{null}"/>
    </s:decorate>
    <s:decorate template="/prov_info_cons/valueAssertion.xhtml"
                id="subview_valueAssert#{currentRequest.searchFilter.index}"
                rendered="#{currentRequest.searchFilter.class.simpleName.equals('AttributeValueAssertion4GUI')}">
        <ui:param name="assertion" value="#{currentRequest.searchFilter}"/>
        <ui:param name="currentReq" value="#{currentRequest}"/>
        <ui:param name="parent" value="#{null}"/>
    </s:decorate>
    <s:decorate template="/prov_info_cons/filterSet.xhtml"
                id="subview_filterSet#{currentRequest.searchFilter.index}"
                rendered="#{currentRequest.searchFilter.class.simpleName.equals('FilterSet4GUI')}">
        <ui:param name="assertion" value="#{currentRequest.searchFilter}"/>
        <ui:param name="currentReq" value="#{currentRequest}"/>
        <ui:param name="parent" value="#{null}"/>
    </s:decorate>
</ui:composition>
